Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortletCategoryDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PortletCategoryDefinition

All Implemented Interfaces:
  CategoryDefinition, Serializable

public class PortletCategoryDefinition
extends Object
implements CategoryDefinition

Provides a mechanism to categorize `PortletDefinition`s.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `isRoot`

Constructor Summary
`PortletCategoryDefinition(PortletCategoryDefinitionId pid, LocalizationResource ld, String webAppName)` Ctor.
`PortletCategoryDefinition(PortletCategoryDefinitionId pid, LocalizationResource ld, String webAppName, boolean isRoot)`

Method Summary
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `CategoryDefinition`.
`PortletCategoryDefinitionId` | `getParentId()` Returns the parent `PortletCategoryDefinitionId` for this `PortletCategoryDefinition`.
`PortletCategoryDefinitionId` | `getPortletCategoryDefinitionId()` Returns the `PortletCategoryDefinitionId` for the `PortletCategoryDefinition`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this portlet category is scoped to.
`boolean` | `isRoot()` Determines if the category is a root category.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets `LocalizationResource` for this `CategoryDefinition`.
`void` | `setParentId(PortletCategoryDefinitionId pid)`
`void` | `setWebAppName(String webAppName)` Scopes this portlet category to given web application.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isRoot

    protected boolean isRoot

Constructor Detail

### PortletCategoryDefinition

    public PortletCategoryDefinition(PortletCategoryDefinitionId pid,
                                     LocalizationResource ld,
                                     String webAppName)

  Ctor.

  When creating a `PortletDefinition` for the ROOT category the parent portlet category id can be set to null.

### PortletCategoryDefinition

    public PortletCategoryDefinition(PortletCategoryDefinitionId pid,
                                     LocalizationResource ld,
                                     String webAppName,
                                     boolean isRoot)

Method Detail

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `CategoryDefinition`.

  Specified by:
    `getLocalizationResource` in interface `CategoryDefinition`
  Returns:
    LocalizationResource

### getParentId

    public PortletCategoryDefinitionId getParentId()

  Returns the parent `PortletCategoryDefinitionId` for this `PortletCategoryDefinition`.

  Returns:
    PortletCategoryDefinitionId for it's parent

### getPortletCategoryDefinitionId

    public PortletCategoryDefinitionId getPortletCategoryDefinitionId()

  Returns the `PortletCategoryDefinitionId` for the `PortletCategoryDefinition`.

  Returns:
    `PortletCategoryDefinitionId`

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this portlet category is scoped to.

  Returns:
    web application name

### isRoot

    public boolean isRoot()

  Determines if the category is a root category.

  Specified by:
    `isRoot` in interface `CategoryDefinition`
  Returns:
    `true` if this category is the root

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets `LocalizationResource` for this `CategoryDefinition`.

  Specified by:
    `setLocalizationResource` in interface `CategoryDefinition`
  Parameters:
    `localizationResource` -

### setParentId

    public void setParentId(PortletCategoryDefinitionId pid)

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this portlet category to given web application.

  Parameters:
    `webAppName` -

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved